; Especificaciones: Prog10.3 para ZX Spectrum 16K/48K.
; Descripción general: Un bucle controla la impresión de todos
; los caracteres ASCII del Spectrum.
; Longitud: 19 bytes.
; Entrada: Ningún requerimiento.
; Salida: Caracteres ASCII (código 32 a 127) en pantalla.
; Registros usados: A en este programa.
;					A, D, E, H y L en rutinas ROM.
org		$5dad

CLS		equ $0d6b
OPEN	equ $1601

call	CLS				; Borra la pantalla
ld		a, $02			; Abre
call	OPEN			; Canal número 2
ld		a, $20			; Primer código ASCII
BUCLE:
push	af				; Almacena código
rst		$10				; Imprímelo!
pop		af				; Recupera código
cp		$7f				; ¿A = 127?
ret		z				; Retorno si A = 127
inc		a				; A = A + 1
jr		BUCLE			; Siguiente carácter ASCII

end		$5dad