; Especificaciones: Prog11.5 para ZX Spectrum 16K/48K.
; Descripción general: La rutina BEEPER realiza un sonido
; comparable al disparo de un láser.
; Longitud: 21 bytes.
; Entrada: Ningún requerimiento.
; Salida: Ningún requerimiento.
; Registros usados: B, C, D, E, H y L en programa.
;					A, B, C, D, E, H, L e IX en rutina.
org		$7000

BEEPER	equ $03b5

ld		hl, 5			; Tono muy agudo
ld		de, 5			; Duración y frecuencias bajas
ld		b, 16			; Contaor
OTRA:
push	hl				; Guarda HL en la pila
push	de				; Guarda DE en la pila
push	bc				; Guarda BC en la pila
call	BEEPER			; Realiza el sonido
pop		bc				; Recupera BC
pop		de				; Recupera DE
pop		hl				; Recupera HL
inc		hl				; Incrementa registro HL
djnz	OTRA			; Decrementa registro y realiza la operación de nuevo si B <> 0
ret

end		$7000